Index: src/exceptions.c
===================================================================
--- src/exceptions.c	(revision 13181)
+++ src/exceptions.c	(working copy)
@@ -106,7 +106,7 @@
     fprintf(stderr, "\n\
 We highly suggest you notify the Parrot team if you have not been working on\n\
 Parrot.  Use parrotbug (located in parrot's root directory) or send an\n\
-e-mail to perl6-internals@perl.org.\n\
+e-mail to parrot-porters@perl.org.\n\
 Include the entire text of this error message and the text of the script that\n\
 generated the error.  If you've made any modifications to Parrot, please\n\
 describe them as well.\n\n");
Index: docs/parrot.pod
===================================================================
--- docs/parrot.pod	(revision 13181)
+++ docs/parrot.pod	(working copy)
@@ -129,7 +129,7 @@
 =head2 Authors
 
 Parrot is developed and maintained by the members of the
-C<perl6-internals@perl.org> mailing list. The list is archived at:
+C<parrot-porters@perl.org> mailing list. The list is archived at:
 L<http://nntp.perl.org/group/perl.perl6.internals>
 
 =over 4
Index: docs/submissions.pod
===================================================================
--- docs/submissions.pod	(revision 13181)
+++ docs/submissions.pod	(working copy)
@@ -258,7 +258,7 @@
 
 For changes specific for parrotcode.org please send patches to    
 B<webmaster> I<at> B<perl> I<dot> B<org>, and cc
-B<perl6-internals> I<at> B<perl> I<dot> B<org>.
+B<parrot-porters> I<at> B<perl> I<dot> B<org>.
 
 =head1 Getting Commit Privileges
 
@@ -282,7 +282,7 @@
 granted svn commit privileges.
 
 The two best ways to let us know you're interested in becoming a committer
-are via the perl6-internals mailing list, or via IRC (#parrot on irc.perl.org).
+are via the parrot-porters mailing list, or via IRC (#parrot on irc.perl.org).
 Thanks for your help!
 
 =back
Index: docs/debug.pod
===================================================================
--- docs/debug.pod	(revision 13181)
+++ docs/debug.pod	(working copy)
@@ -147,7 +147,7 @@
 program has finished. To work around this, do 'si' twice just before executing
 any keyed op. For some reason, C<gdb> can then figure out when it's supposed to
 stop next. If you know of a better technique, please let the mailing list know
-(C<perl6-internals@perl.org>).
+(C<parrot-porters@perl.org>).
 
 =head1 PIR CODE GENERATION
 
Index: docs/dev/dod.pod
===================================================================
--- docs/dev/dod.pod	(revision 13181)
+++ docs/dev/dod.pod	(working copy)
@@ -122,7 +122,7 @@
 
 =back
 
-Also, the L<http://dev.perl.org> web site has an archive of the perl6-internals
-mailing list which contains numerous discussions on the Parrot garbage
-collector.
+Also, the L<http://dev.perl.org> web site has an archive of the
+parrot-porters and old perl6-internals mailing list which contains
+numerous discussions on the Parrot garbage collector.
 
Index: docs/glossary.pod
===================================================================
--- docs/glossary.pod	(revision 13181)
+++ docs/glossary.pod	(working copy)
@@ -305,6 +305,6 @@
 
 =head1 CORRECTIONS
 
-Please send corrections to the perl6-internals mailing list.
+Please send corrections to the parrot-porters mailing list.
 
 =cut
Index: docs/faq.pod
===================================================================
--- docs/faq.pod	(revision 13181)
+++ docs/faq.pod	(working copy)
@@ -217,9 +217,9 @@
 
 =head2 Why is the development list called perl6-internals?
 
-The mailing list precedes the Parrot joke and subsequent unveiling of the True
-Grand Project by a number of months. We've just not gotten around to renaming
-the mailing list. We will.
+It's not anymore.  As of July 2006, the list is called parrot-porters
+to reflect the growing list of languages and platforms embraced by
+Parrot.  The old perl6-internals list forwards to the new one.
 
 =head2 Pugs is going great shakes - why not just toss Parrot and run Perl 6 on Pugs?
 
Index: docs/pdds/pdd00_pdd.pod
===================================================================
--- docs/pdds/pdd00_pdd.pod	(revision 13181)
+++ docs/pdds/pdd00_pdd.pod	(working copy)
@@ -145,8 +145,8 @@
 
 =head2 SUBMISSION CRITERIA
 
-Proposed PDDs should be submitted to the perl6-internals mailing list (located
-at perl6-internals@perl.org) for discussion, criticism and general kibitzing.
+Proposed PDDs should be submitted to the parrot-porters mailing list (located
+at parrot-porters@perl.org) for discussion, criticism and general kibitzing.
 Acceptance of a particular PDD is ultimately up to the Parrot Architect.
 
 =head2 PDD TRANSLATIONS
Index: docs/gettingstarted.pod
===================================================================
--- docs/gettingstarted.pod	(revision 13181)
+++ docs/gettingstarted.pod	(working copy)
@@ -138,8 +138,9 @@
 
 =head2 Where can I find the main developer mailing list?
 
-Most of the Parrot-related development discussion occurs on the perl6-internals
-mailing list. There are a variety of interfaces to the list:
+Most of the Parrot-related development discussion occurs on the
+parrot-porters (aka perl6-internals) mailing list. There are a variety
+of interfaces to the list:
 
 =over 4
 
@@ -147,19 +148,19 @@
 
 L<http://lists.perl.org/showlist.cgi?name=perl6-internals>
 
-=item * Perl 6 Internals NNTP Interface
+=item * Parrot NNTP Interface
 
 L<news://nntp.perl.org/perl.perl6.internals>
 
 L<http://nntp.x.perl.org/group/perl.perl6.internals>
 
-=item * Perl 6 Internals Archives
+=item * Parrot Archives
 
 L<http://groups.google.com/groups?hl=en&lr=&ie=UTF-8&oe=UTF-8&group=perl.perl6.internals>
 
 L<http://www.nntp.perl.org/group/perl.perl6.internals>
 
-=item * Searching the Perl 6 Internals Mailing List
+=item * Searching the Parrot Mailing List
 
 There are no directly searchable interfaces to the mailing lists. However,
 Google works quite well. After clicking the below links, just add your search
@@ -172,7 +173,7 @@
 =item * Summaries
 
 If you find the traffic too much to keep up with, weekly summaries of the
-discussion on C<perl6-internals@perl.org> and C<perl6-language@perl.org> are
+discussion on C<parrot-porters@perl.org> and C<perl6-language@perl.org> are
 posted to C<perl6-announce@perl.org>. Alternately, you can find these summaries
 here:
 
@@ -247,7 +248,7 @@
 Or if you want to submit a patch, send an email to
 C<bugs-parrot@bugs6.perl.org> with the moniker [PATCH] (including the brackets)
 at the start of the subject so that it can be appropriately tagged in the RT
-system. Please note that you do B<not> have to CC C<perl6-internals@perl.org>
+system. Please note that you do B<not> have to CC C<parrot-porters@perl.org>
 when reporting a bug. The RT system will correctly handle that on its own.
 
 A listing of the pending patches can be found here:
Index: docs/intro.pod
===================================================================
--- docs/intro.pod	(revision 13181)
+++ docs/intro.pod	(working copy)
@@ -413,10 +413,10 @@
 
 =head2 The Parrot Mailing List
 
-Much Parrot development and discussion takes place on the perl6-internals
-mailing list. You can subscribe by sending an email to
-C<perl6-internals-subscribe@perl.org> or read the perl6-internals NNTP archive
-at L<http://www.nntp.perl.org/group/perl.perl6.internals>.
+Much Parrot development and discussion takes place on the
+parrot-porters mailing list. You can subscribe by sending an email to
+C<parrot-porters-subscribe@perl.org> or read the NNTP archive at
+L<http://www.nntp.perl.org/group/perl.perl6.internals>.
 
 =head2 IRC
 
Index: RELEASE_INSTRUCTIONS
===================================================================
--- RELEASE_INSTRUCTIONS	(revision 13181)
+++ RELEASE_INSTRUCTIONS	(working copy)
@@ -2,7 +2,7 @@
 
 To prepare a release:
 
-    0.  Announce to perl6-internals and #parrot at least a
+    0.  Announce to parrot-porters and #parrot at least a
         couple days in advance, asking if there are any
         showstopping bugs.
 
@@ -61,9 +61,9 @@
 
     8.  upload to CPAN.
 
-    9.  Compose and send out the announcements--perl6-internals,
-        -language, -announce, perl5-porters, use Perl, PerlMonks,
-        comp.lang.perl.misc, etc.
+    9.  Compose and send out the announcements -- parrot-porters,
+        perl6-language, perl6-announce, perl5-porters, use Perl,
+        PerlMonks, comp.lang.perl.misc, etc.
 
     9a. Submit the use Perl announcement story to Slashdot, Newsforge, etc.
 
Index: parrotbug
===================================================================
--- parrotbug	(revision 13181)
+++ parrotbug	(working copy)
@@ -64,7 +64,7 @@
 developers.
 
 If you're just looking for help with parrot, subscribe to the parrot
-mailing list, perl6-internals<at>perl.org.
+mailing list, parrot-porters<at>perl.org.
 
 
 
Index: README.win32.pod
===================================================================
--- README.win32.pod	(revision 13181)
+++ README.win32.pod	(working copy)
@@ -211,7 +211,7 @@
 =back
 
 This document is maintained by The Parrot Developers
-(E<lt>perl6-internals@perl.orgE<gt>).
+(E<lt>parrot-porters@perl.orgE<gt>).
 
 =head1 SEE ALSO
 
Index: editor/pir-mode.el
===================================================================
--- editor/pir-mode.el	(revision 13181)
+++ editor/pir-mode.el	(working copy)
@@ -13,7 +13,7 @@
 ;;   (add-to-list 'auto-mode-alist '("\\.\\(imc\\|pir\\)\\'" . pir-mode))
 
 ;; If you have any problems with this, you're on your own,
-;; You could always try asking on perl6-internals@perl.org.
+;; You could always try asking on parrot-porters@perl.org.
 
 ;;; Code:
 (require 'regexp-opt)
@@ -413,7 +413,7 @@
   (add-to-list 'auto-mode-alist '(\"\\\\.imc\\\\'\" . pir-mode))
 
 If you have any problems with this, you're on your own. You could always
-try asking on perl6-internals@perl.org."
+try asking on parrot-porters@perl.org."
   (interactive)
   (kill-all-local-variables)
   (use-local-map pir-mode-map)
Index: compilers/imcc/README
===================================================================
--- compilers/imcc/README	(revision 13181)
+++ compilers/imcc/README	(working copy)
@@ -181,7 +181,7 @@
 
 
 
-Please mail perl6-internals@perl.org with bug-reports or patches.
+Please mail parrot-porters@perl.org with bug-reports or patches.
 
 
 Original Author:
Index: README
===================================================================
--- README	(revision 13181)
+++ README	(working copy)
@@ -148,8 +148,8 @@
 MAILING LISTS
 -------------
 
-The mailing list for parrot is perl6-internals.  Subscribe by sending mail to
-perl6-internals-subscribe@perl.org. It is archived at
+The mailing list for parrot is parrot-porters.  Subscribe by sending mail to
+parrot-porters-subscribe@perl.org. It is archived at
 http://www.nntp.perl.org/group/perl.perl6.internals
 and available via NNTP at nntp://nntp.perl.org/perl.perl6.internals
 
Index: languages/regex/README
===================================================================
--- languages/regex/README	(revision 13181)
+++ languages/regex/README	(working copy)
@@ -288,10 +288,10 @@
 I am assuming that PGE is going to get the momentum of the community
 behind it, so I would advise anyone interested in working on a rule
 engine to look there first. (Look for discussion on the
-perl6-internals and perl6-compiler mailing lists.) However, I still
+parrot-porters and perl6-compiler mailing lists.) However, I still
 intend to work on this engine for a while longer, and welcome any
 interested participants. (Send any requests/comments/suggestions
-either to perl6-internals or directly to me at steve@fink.com.) So
+either to parrot-porters or directly to me at steve@fink.com.) So
 far, I have only briefly looked at PGE, but I think this
 languages/regex engine has enough of a different approach that it is
 still valuable for gathering lessons -- and may still make the most
Index: languages/tcl/README.pod
===================================================================
--- languages/tcl/README.pod	(revision 13181)
+++ languages/tcl/README.pod	(working copy)
@@ -57,7 +57,7 @@
 To run the test suite, type C<make test>. Note - if I<any> tests fail, try
 setting the environment variable C<TEST_PROG_ARGS> to C<-G> and retry.
 
-If any tests fail (with C<-G> or not), please email the perl6-internals list.
+If any tests fail (with C<-G> or not), please email the parrot-porters list.
 
 =head2 Documentation
 
